Debian Bug report logs - #700054
fonts-takao: does not remove ttf-japanese-*.ttf alternatives on upgrades from squeeze

version graph

Package: src:fonts-takao; Maintainer for src:fonts-takao is Debian Fonts Task Force <pkg-fonts-devel@lists.alioth.debian.org>;

Reported by: Andreas Beckmann <anbe@debian.org>

Date: Thu, 7 Feb 2013 22:33:02 UTC

Severity: important

Tags: patch, pending

Found in version fonts-takao/003.02.01-7

Fixed in version fonts-takao/003.02.01-7.1

Done: Andreas Beckmann <anbe@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Fonts Task Force <pkg-fonts-devel@lists.alioth.debian.org>:
Bug#700054; Package src:fonts-takao. (Thu, 07 Feb 2013 22:33:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Andreas Beckmann <anbe@debian.org>:
New Bug report received and forwarded. Copy sent to Debian Fonts Task Force <pkg-fonts-devel@lists.alioth.debian.org>. (Thu, 07 Feb 2013 22:33:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Andreas Beckmann <anbe@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: fonts-takao: does not remove ttf-japanese-*.ttf alternatives on upgrades from squeeze
Date: Thu, 07 Feb 2013 23:29:55 +0100
[Message part 1 (text/plain, inline)]
Source: fonts-takao
Version: 003.02.01-7
Severity: important
Tags: patch
User: debian-qa@lists.debian.org
Usertags: piuparts

Hi,

<template>

during a test with piuparts I noticed your package left unowned files on
the system after purge, which is a violation of policy 6.8:

http://www.debian.org/doc/debian-policy/ch-maintainerscripts.html#s-removedetails

The leftover files are actually alternatives that were installed by the
package but have not been properly removed.

While there is ongoing discussion how to remove alternatives correctly
(see http://bugs.debian.org/71621 for details) the following strategy
should work for regular cases:
* 'postinst configure' always installs the alternative
* 'prerm remove' removes the alternative
* 'postrm remove' and 'postrm disappear' remove the alternative
In all other cases a maintainer script is invoked (e.g. upgrade,
deconfigure) the alternatives are not modified to preserve user
configuration.
Removing the alternative in 'prerm remove' avoids having a dangling link
once the actual file gets removed, but 'prerm remove' is not called in
all cases (e.g. unpacked but not configured packages or disappearing
packages) so the postrm must remove the alternative again
(update-alternatives gracefully handles removal of non-existing
alternatives).

Note that the arguments for adding and removing alternatives differ, for
removal it's 'update-alternatives --remove <name> <path>'.

Filing this as important as having a piuparts clean archive is a release
goal since lenny.

</template>

>From the attached log (scroll to the bottom...):

0m58.0s INFO: Warning: Package purging left files on system:
  /etc/alternatives/ttf-japanese-gothic.ttf -> /usr/share/fonts/truetype/takao/TakaoPGothic.ttf	 not owned
  /usr/share/fonts/	 owned by: fonts-takao-gothic
  /usr/share/fonts/truetype/	 owned by: fonts-takao-gothic
  /usr/share/fonts/truetype/ttf-japanese-gothic.ttf -> /etc/alternatives/ttf-japanese-gothic.ttf	 not owned


Due to the package rename, the stuff in the preinst script is not being
run at all during upgrades from squeeze: fonts-takao-* will always be a
new install, so "$2" will be empty and all the
  dpkg --compare-versions "$2" lt-nl "$someversion"
will evaluate to false.

I'll add a patch once I get the bug number. It does two things:

* Add preinst to the transitional packages to remove
  the alternative there. But there is real no guarantee for the transitional
  being installed at all ... but if it is installed, u-a won't emit a
  diagnostic about something dangling ...
* fonts-takao-*.preinst: run the alternative cleanup on fresh installation
  to ensure the cleanup is run even if the transitionals are not used

Please get this fixed in sid and unblocked for wheezy to fix this
upgrade problem. I also offer (and intend to) to NMU fonts-takao to take
care of this.


cheers,

Andreas
[ttf-takao-gothic_003.02.01-7.log.gz (application/x-gzip, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Fonts Task Force <pkg-fonts-devel@lists.alioth.debian.org>:
Bug#700054; Package src:fonts-takao. (Thu, 07 Feb 2013 22:45:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Andreas Beckmann <anbe@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Fonts Task Force <pkg-fonts-devel@lists.alioth.debian.org>. (Thu, 07 Feb 2013 22:45:03 GMT) Full text and rfc822 format available.

Message #10 received at 700054@bugs.debian.org (full text, mbox):

From: Andreas Beckmann <anbe@debian.org>
To: Debian Bug Tracking System <700054@bugs.debian.org>
Subject: Re: fonts-takao: does not remove ttf-japanese-*.ttf alternatives on upgrades from squeeze
Date: Thu, 07 Feb 2013 23:42:58 +0100
[Message part 1 (text/plain, inline)]
Followup-For: Bug #700054

Attaching the patch. This patch uses versions for a maintainer upload of
-8, for a NMU I'd do s/-8/-7.1/.

Andreas
[700054.patch (text/x-diff, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Fonts Task Force <pkg-fonts-devel@lists.alioth.debian.org>:
Bug#700054; Package src:fonts-takao. (Mon, 11 Feb 2013 13:57:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Andreas Beckmann <anbe@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Fonts Task Force <pkg-fonts-devel@lists.alioth.debian.org>. (Mon, 11 Feb 2013 13:57:03 GMT) Full text and rfc822 format available.

Message #15 received at 700054@bugs.debian.org (full text, mbox):

From: Andreas Beckmann <anbe@debian.org>
To: 700054@bugs.debian.org
Subject: Re: fonts-takao: does not remove ttf-japanese-*.ttf alternatives on upgrades from squeeze
Date: Mon, 11 Feb 2013 14:55:36 +0100
On 2013-02-07 23:29, Andreas Beckmann wrote:
> Please get this fixed in sid and unblocked for wheezy to fix this
> upgrade problem. I also offer (and intend to) to NMU fonts-takao to take
> care of this.

NMU uploaded to DELAYED/5.
Please let me know if I should delay it longer.


Andreas



Added tag(s) pending. Request was from Andreas Beckmann <anbe@debian.org> to control@bugs.debian.org. (Mon, 11 Feb 2013 23:00:04 GMT) Full text and rfc822 format available.

Reply sent to Andreas Beckmann <anbe@debian.org>:
You have taken responsibility. (Sat, 16 Feb 2013 14:51:11 GMT) Full text and rfc822 format available.

Notification sent to Andreas Beckmann <anbe@debian.org>:
Bug acknowledged by developer. (Sat, 16 Feb 2013 14:51:11 GMT) Full text and rfc822 format available.

Message #22 received at 700054-close@bugs.debian.org (full text, mbox):

From: Andreas Beckmann <anbe@debian.org>
To: 700054-close@bugs.debian.org
Subject: Bug#700054: fixed in fonts-takao 003.02.01-7.1
Date: Sat, 16 Feb 2013 14:48:18 +0000
Source: fonts-takao
Source-Version: 003.02.01-7.1

We believe that the bug you reported is fixed in the latest version of
fonts-takao, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 700054@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Andreas Beckmann <anbe@debian.org> (supplier of updated fonts-takao package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Mon, 11 Feb 2013 14:36:53 +0100
Source: fonts-takao
Binary: fonts-takao fonts-takao-mincho fonts-takao-gothic ttf-takao ttf-takao-gothic ttf-takao-mincho
Architecture: source all
Version: 003.02.01-7.1
Distribution: unstable
Urgency: low
Maintainer: Debian Fonts Task Force <pkg-fonts-devel@lists.alioth.debian.org>
Changed-By: Andreas Beckmann <anbe@debian.org>
Description: 
 fonts-takao - Japanese TrueType font set, Takao Fonts
 fonts-takao-gothic - Japanese TrueType font set, Takao Gothic Fonts
 fonts-takao-mincho - Japanese TrueType font set, Takao Mincho Fonts
 ttf-takao  - transitional dummy package
 ttf-takao-gothic - transitional dummy package
 ttf-takao-mincho - transitional dummy package
Closes: 700054
Changes: 
 fonts-takao (003.02.01-7.1) unstable; urgency=low
 .
   * Non-maintainer upload.
   * fonts-takao-mincho.preinst: Fix OTF alternative cleanup.
   * ttf-takao-*.preinst: Unregister the ttf-japanese-*.ttf alternatives.
   * fonts-takao-*.preinst: Clean up the ttf-japanese-*.ttf alternatives set up
     by ttf-takao-* in squeeze. This needs to be done in fonts-takao-* as well
     since there is no guarantee that the transitional ttf-takao-* packages
     were installed and did clean this up. Since new installations of
     fonts-takao-* cannot be distinguished from "upgrades" from ttf-takao-*
     this needs to be run on new installations, too.  (Closes: #700054)
Checksums-Sha1: 
 da23d52fffb7bb1bc7e48fb0ebaa57f6c0e054bf 2164 fonts-takao_003.02.01-7.1.dsc
 f617984da77b510e9b22d5db05e6b20bbe9e5351 11613 fonts-takao_003.02.01-7.1.debian.tar.gz
 deb9c15b6e17d4471441575202e680a49f042731 10268 fonts-takao_003.02.01-7.1_all.deb
 9fa09b0715302b4a792b7913701e9e773aa9f7bd 6354996 fonts-takao-mincho_003.02.01-7.1_all.deb
 0bc8af6ec5f0a90efcd88a50cf3409a32b1ee93c 4929724 fonts-takao-gothic_003.02.01-7.1_all.deb
 9ce2a0ceee197b17a1e200c041bf5ea185659088 9834 ttf-takao_003.02.01-7.1_all.deb
 90d1a24f71ad33f4691f6846f9aa9c7fa84aa60f 10064 ttf-takao-gothic_003.02.01-7.1_all.deb
 a67f48121f6d31d683f96cc2dd90e5bd2279b02d 10062 ttf-takao-mincho_003.02.01-7.1_all.deb
Checksums-Sha256: 
 bd4e350d9243bd4766edea4425ee1fa79eeefbdf5dda0ec50b255ee5194c2b75 2164 fonts-takao_003.02.01-7.1.dsc
 1f68534995c61ba6756972e8757e95b9e34300a756ca0bbb23420074ae4f7c35 11613 fonts-takao_003.02.01-7.1.debian.tar.gz
 819cd043320381f92a406d6094a989ccec728f16afca5e6fc9c0533b9a640d73 10268 fonts-takao_003.02.01-7.1_all.deb
 ee9bac0dad29fa5f7bd34377f4667e3c7ba7926c04030cfce60cc23c51068a15 6354996 fonts-takao-mincho_003.02.01-7.1_all.deb
 60204d01be1bed4cf40ae77a875e4a957c19546ac0635091d59bf94c36e5c8b4 4929724 fonts-takao-gothic_003.02.01-7.1_all.deb
 bf71c5757f444ac35c21cc9c34641d22a202da907aae66cc11b1396fa4f91c7c 9834 ttf-takao_003.02.01-7.1_all.deb
 3774b642b9efdb7be6d0be097ad6e198243b7b56ba5d95b7e1dbcbbc53b9df83 10064 ttf-takao-gothic_003.02.01-7.1_all.deb
 98a7dd914ba3bfc46d1510497e3c6eea3ed4d9c135e69b81c0e9d83823cb5d37 10062 ttf-takao-mincho_003.02.01-7.1_all.deb
Files: 
 713e877b502b33431696e1a0c9f7b395 2164 fonts optional fonts-takao_003.02.01-7.1.dsc
 084a1a809e1600abb56623862742abcb 11613 fonts optional fonts-takao_003.02.01-7.1.debian.tar.gz
 f97281cf36e002fc1a8356e6a466b80d 10268 fonts optional fonts-takao_003.02.01-7.1_all.deb
 50d175341a61f3745ca4455e07527c2a 6354996 fonts optional fonts-takao-mincho_003.02.01-7.1_all.deb
 93e05141318b5713d239bd9250710035 4929724 fonts optional fonts-takao-gothic_003.02.01-7.1_all.deb
 46b322ca0f5838e38e64fc3167793323 9834 oldlibs extra ttf-takao_003.02.01-7.1_all.deb
 9c725bc7854de0581cbb4549afd1e440 10064 oldlibs extra ttf-takao-gothic_003.02.01-7.1_all.deb
 b750733d449fde8533a15b6662e7fb74 10062 oldlibs extra ttf-takao-mincho_003.02.01-7.1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iQIcBAEBCAAGBQJRGPTaAAoJEF+zP5NZ6e0IuwIP/2xYSvz85vv5aWX5UIOWZyj0
cHyeZ4W7CfAp+WNx2fCcoaBnWIOFHBxnpnh2HV+MYcgWh+Dr7jgqDsy93PQwMto8
SY1DBa93QVa/mkPeYlTuNsu4nmBv/QQR+xFmXJlFXBlGazSM92kRwRAk9glFqJZ2
C9rC+a6Fuqswog+h10J5cQ50bd2Puo80PTF6hPSjSlLDEh30PVOUPZRHLxfOK4Sr
FhZvKRWgBafvbCOG2xIiSGmSoKLFbI2mDB9yfwYKmeA1117mTZ/BqDrlzlhasxFM
KfLP5zGgGynRsdC34q3NNZjKQHou4RHofVFmo6VN4aUwKK7RAlcPe6DPNZ/l4z7Z
BNJ8peE8w8T6QSt3t32RKH6Tf8+gqPey/0k/Ij91nFAEG9HTPM5y5E+7VRki3P6+
n9PDlnKJqcbDUkARYjsNYX16mXdQIKP3ktL8Im/tykZgAFWsy+8srdzKSv48104u
qizIjtdpB1SZ91ynhP/UcLSVQRywaCng0TzNmtfgHHz5aY1P77Zb5UxMqUoYM0Xy
2wpLE9K/ifEINQ0j08CBzDCnIRqLqWevpQtB+1GcOeNP1n6189CYTiKYyyeY980I
hMHR7HkY2B475f8o9YLp407YTlS6U7voZnATClAWQVS6lLiRHeqgog17DrbJHG9G
rt0RYg17Ts9mazanTzkx
=YxM3
-----END PGP SIGNATURE-----




Added tag(s) pending. Request was from henrich@alioth.debian.org to control@bugs.debian.org. (Sun, 03 Mar 2013 00:51:13 GMT) Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 31 Mar 2013 07:28:40 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 16 05:13:00 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.